/*
 * px *
Copyright (c) 2008 Shawn Hladky

Permission is hereby granted, free of charge, to any person obtaining a copy of this software 
and associated documentation files (the "Software"), to deal in the Software without 
restriction, including without limitation the rights to use, copy, modify, merge, publish, 
distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the 
Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or 
substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING 
BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND 
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, 
DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, 
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE. 
 */

#include "pxheaders.h"
#include "rollbackCommand.h"
#include "RollBack.h"

ErrorId rollback_usage = { ErrorOf( ES_CLIENT, 0, E_INFO, EV_USAGE, 0 ),
"\n"
"    md5 -- Display the md5 digest of local files.\n"
"\n"
"    px md5 [-t [binary|text]] files...\n"
"\n"
"        'px md5' displays the md5 digest for local files.\n"
"        md5 uses Perforce logic in that line endings are normalized\n"
"        before computing the digest.  md5 uses Perforce's file type\n"
"        detection, although typemap is ignored for local files.\n"
"\n"
"        The -t flag forces binary or text filetype when computing\n"
"        the digest.\n"
"\n"};

void rollbackCommand::Help(Error *e)
{
	e->Set(rollback_usage);

}

void rollbackCommand::Run(ClientUser* cu, ClientApi* api, char *const *argv, int argc)
{
	RollBack rb( command.Text() );
	if (tagged) rb.SetTagged();
	rb.Run( api, cu, argc, (char**) argv );
}
